#ifndef _Handle_PBRep_PointOnCurve_HeaderFile
#define _Handle_PBRep_PointOnCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PBRep_PointRepresentation_HeaderFile
#include <Handle_PBRep_PointRepresentation.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PBRep_PointRepresentation);
class PBRep_PointOnCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_PointOnCurve);

class Handle(PBRep_PointOnCurve) : public Handle(PBRep_PointRepresentation) {
  public:

    Handle(PBRep_PointOnCurve)():Handle(PBRep_PointRepresentation)() {} 
    Handle(PBRep_PointOnCurve)(const Handle(PBRep_PointOnCurve)& aHandle) : Handle(PBRep_PointRepresentation)(aHandle) 
     {
     }

    Handle(PBRep_PointOnCurve)(const PBRep_PointOnCurve* anItem) : Handle(PBRep_PointRepresentation)((PBRep_PointRepresentation *)anItem) 
     {
     }

    Handle(PBRep_PointOnCurve)& operator=(const Handle(PBRep_PointOnCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_PointOnCurve)& operator=(const PBRep_PointOnCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_PointOnCurve* operator->() const 
     {
      return (PBRep_PointOnCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_PointOnCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
